Skip to content

Update feedback

PATCH
/api/v1/feedback/{feedback_id}
curl --request PATCH \
--url https://api.ultimateteam.ai/api/v1/feedback/example \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "admin_response": "example", "status": "example", "tags": [ "example" ] }'

Update feedback status, admin response, or tags. Admin only.

feedback_id
required
Feedback Id
string
Media typeapplication/json
UpdateFeedbackRequest

Request body for updating feedback (admin only).

Attributes: status: New status (optional). admin_response: Admin reply (optional). tags: New tags list (optional).

object
admin_response
Any of:
string
status
Any of:
string
tags
Any of:
Array<string>
Examplegenerated
{
"admin_response": "example",
"status": "example",
"tags": [
"example"
]
}

Successful Response

Media typeapplication/json
FeedbackResponse

Response body for a feedback record.

Attributes: id: Feedback record UUID. status: Current status (new, reviewed, resolved, etc). created_at: When the feedback was submitted.

object
created_at
required
Created At
string
id
required
Id
string
status
required
Status
string
Examplegenerated
{
"created_at": "example",
"id": "example",
"status": "example"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}